:root {
    --colorTextos: #213d7b67;
}


*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto';
    background: #000000;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #7a0505, #000000);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #7a0505, #252424); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    height: 800px;
    display: flex;
    justify-content: center;
      
}

h1{
    text-align: center;
    font-weight: 900;
    color: rgb(0, 0, 0);
}

table{
    align-items: center;
}

form{
    background: rgb(255, 255, 255);
    padding: 40px 10px;
    box-shadow: 0 0 6px 0 rgba(255, 255, 255, 0.8);
    border-radius: 10px;
}

.form{
    width: 100%;
    margin: auto;
}

form .grupo{
    position: relative;
    margin: 50px ;
}

input{
    background: none;
    color: #c6c6c6;
    font-size: 18px;
    padding: 10px 10px 10px 5px;
    display: block;
    width: 100%;
    border: none;
    border-bottom: 3px solid var(--colorTextos);
}



input:focus{ 
    outline: none;
    color: #000000;
    text-align: center;
}

label{
    color: var(--colorTextos);
    font-size: 20px;
    position: absolute;
    left: 5px;
    top: 15px;
    transition: 1s ease all;
    pointer-events: none;
}

input:focus~label,
input:valid~label{
    top: -14px;
    font-size: 15px;
    color: #0c3e67;
}

.barra{
    position: relative;
    display: block;
    width: 100%;
}

.barra::before{
    content: "";
    height: 2px;
    width: 0%;
    bottom: 0;
    position: absolute;
    background: linear-gradient(to right, #B06AB3, #4568DC);
    transition: 0.3s ease width;
    left: 0;
}

input:focus~.barra::before{
    width: 100%;
}

.warnings{
    width: 250px;
    text-align: center;
    margin: auto;
    color: #4d944c;
    padding-top: 25px;
}

button{
    font-family: 'roboto';
    background: #4568DC;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #1cbf58, #4a7651);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #1cbf58, #4a7651);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    border: none;
    display: block;
    width: 80%;
    margin: 10px auto;
    color: #fff;
    height: 40px;
    font-size: 16px;
    cursor: pointer;
}


